classification
Title: Use allowZip64=True by default
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Ramchandra Apte, alanmcintyre, loewis, pitrou, python-dev, serhiy.storchaka, william.mallard
Priority: normal Keywords: easy, patch

Created on 2013-02-13 17:04 by serhiy.storchaka, last changed 2014-03-10 01:35 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
zipfile_zip64_by_default.patch william.mallard, 2013-02-14 18:05 review
zipfile_zip64_by_default.patch william.mallard, 2013-02-14 19:07 updated more unit tests review
Messages (9)
msg182048 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-13 17:04
Python supports ZIP64 extension since 2.5 (more 6 years ago). May be it is time to use it by default, leaving the option to disable it by specifying allowZip64=False.
msg182063 - (view) Author: William Mallard (william.mallard) * Date: 2013-02-13 21:51
Enabling ZIP64 seems like a reasonable default.

The documentation justifies the current 32-bit default with outdated information:
"""
ZIP64 extensions are disabled by default because the default 'zip' and 'unzip' commands on Unix (the InfoZIP utilities) don't support these extensions.
"""

But InfoZIP has supported the ZIP64 extension for 4 years (since UnZip 6.0, and Zip 3.0).
msg182101 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-02-14 15:19
+1. Let's make it for 3.4.
msg182114 - (view) Author: William Mallard (william.mallard) * Date: 2013-02-14 18:05
See attached. The patch updates ZipFile, its documentation, and its unit tests.
msg182139 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2013-02-15 13:17
LGTM.
msg196480 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-29 19:11
The patch LGTM. If anyone has objections, say them now.
msg204017 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-23 13:56
New changeset 271cc3660445 by Serhiy Storchaka in branch 'default':
Issue #17201: ZIP64 extensions now are enabled by default.
http://hg.python.org/cpython/rev/271cc3660445
msg204019 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-23 13:57
Thank you William for your contribution.
msg213005 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-10 01:35
New changeset 86338438b70d by R David Murray in branch 'default':
whatsnew: allowZip64 defaults to True (#17201).
http://hg.python.org/cpython/rev/86338438b70d
History
Date User Action Args
2014-03-10 01:35:02python-devsetmessages: + msg213005
2013-11-23 13:57:50serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg204019

stage: needs patch -> resolved
2013-11-23 13:56:24python-devsetnosy: + python-dev
messages: + msg204017
2013-08-29 19:11:39serhiy.storchakasetassignee: serhiy.storchaka
messages: + msg196480
2013-02-15 13:17:28Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg182139
2013-02-14 19:07:53william.mallardsetfiles: + zipfile_zip64_by_default.patch
2013-02-14 18:05:50william.mallardsetfiles: + zipfile_zip64_by_default.patch
keywords: + patch
messages: + msg182114
2013-02-14 15:19:04pitrousetkeywords: + easy

messages: + msg182101
stage: needs patch
2013-02-13 21:51:43william.mallardsetnosy: + william.mallard
messages: + msg182063
2013-02-13 17:17:07serhiy.storchakalinkissue17189 dependencies
2013-02-13 17:04:32serhiy.storchakacreate